QGIS Application - Bug report #15455
Field constraint errors in forms: display column alias in error message instead of raw column name
2016-08-18 01:42 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:2.16.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23381
Description

For error messages regarding constraints it would be useful to also display the Alias column name (if defined) instead of the raw database
column name.

Otherwise the user may be confused if the two names do not match.

See screenshot attached.

Associated revisions

Revision 8fdfbd0f - 2016-08-19 09:07 AM - Matthias Kuhn

Widget constraints: use field alias where available

Fix #15455

Revision 78e8393f - 2016-08-19 09:27 AM - Matthias Kuhn

Widget constraints: use field alias where available

Fix #15455

History

#1 - 2016-08-19 12:45 AM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"78e8393f1e52f3488f01f0b731450ed5595fc20a".
